import {Meta, Canvas, Story, ArgTypes, Controls} from '@storybook/blocks';

import * as Stories from "./button.stories";
import * as Features from './stories/features.stories';

<Meta title="Design/Button" name="Overview" />

# Button
A button is a component that allows users to trigger an action or event, such as submitting a form, opening a dialog, canceling an action, or performing a delete operation.

## Props
<Controls of={Stories.Playground}></Controls>

## Features

<Canvas>
  <Story of={Features.Default} />
  <Story of={Features.Rounded} />
  <Story of={Features.Disabled} />
</Canvas>
